<?php
/**
 * @copyright   Copyright (c) 2017 https://www.sapixx.com All rights reserved.
 * @license     Licensed (http://www.apache.org/licenses/LICENSE-2.0).
 * @author      pillar<ltmn@qq.com>
 * 产品分类
 */
namespace app\bestbao\model;
use think\Model;

class BestbaoAskCategory extends Model{

    //添加或编辑
    public static function edit($param){
        $data['title']     = $param['title'];
        $data['picture']   = $param['picture'];
        $data['sort']      = $param['sort'];
        $data['update_time']  = time();
        if(isset($param['id'])){
            return self::update($data,['id'=>(int)$param['id']]);
        }else{
            $data['create_time']       = time();
            $data['member_miniapp_id'] = $param['member_miniapp_id'];
            return self::insert($data);
        }
    } 
}